
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>asp实现的sha1加密解密代码（和C#兼容）_应用技巧 / iVAN</title>

    <meta name="description" content="asp实现的sha1加密解密代码（和C#兼容）_应用技巧 在百度找的几个asp sha1(vbs写的)加密结果和asp.net的sha1加密结果不一样,asp.net sha1加密完后是40位,网上找的asp sha1加密是64位,还以为asp.net做了截取(如网上的asp的md5机密和asp.net位数不一样,是做了截取的问题),但是asp的64位加密结果并没有包含asp.net的40位结果,看来找到的版本和asp.net的加密算法不一样.   最后还是靠翻墙用google找到了一个js版本的sha1加密代码结合asp使用后结果和asp.net的s">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">asp实现的sha1加密解密代码（和C#兼容）_应用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在百度找的几个asp sha1（vbs写的）加密结果和asp.net的sha1加密结果不一样，asp.net sha1加密完后是40位，网上找的asp sha1加密是64位，还以为asp.net做了截取（如网上的asp的md5机密和asp.net位数不一样，是做了截取的问题），但是asp的64位加密结果并没有包含asp.net的40位结果，看来找到的版本和asp.net的加密算法不一样。<br />
 <br />
最后还是靠翻墙用google找到了一个js版本的sha1加密代码结合asp使用后结果和asp.net的sha1加密一模一样。。看来技术类的文字用度娘还是搞不过谷歌啊。。随便fuck下中国的防火墙。。谷歌也给封了。<br />
 <br />
asp sha1加密源代码如下，和asp.net的sha1加密结果一致:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;script language="javascript" type="text/javascript" runat="server"&gt;<br />
/*<br />
 * A JavaScript implementation of the Secure Hash Algorithm, SHA-1, as defined<br />
 * in FIPS PUB 180-1<br />
 * Version 2.1a Copyright Paul Johnston 2000 - 2002.<br />
 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet<br />
 * Distributed under the BSD License<br />
 * See http://pajhome.org.uk/crypt/md5 for details.<br />
 */<br />
/*<br />
 * Configurable variables. You may need to tweak these to be compatible with<br />
 * the server-side, but the defaults work in most cases.<br />
 */<br />
var hexcase = 0;  /* hex output format. 0 - lowercase; 1 - uppercase        */<br />
var b64pad  = "="; /* base-64 pad character. "=" for strict RFC compliance   */<br />
var chrsz   = 8;  /* bits per input character. 8 - ASCII; 16 - Unicode      */<br />
/*<br />
 * These are the functions you'll usually want to call<br />
 * They take string arguments and return either hex or base-64 encoded strings<br />
 */<br />
function hex_sha1(s){return binb2hex(core_sha1(str2binb(s),s.length * chrsz));}<br />
function b64_sha1(s){return binb2b64(core_sha1(str2binb(s),s.length * chrsz));}<br />
function str_sha1(s){return binb2str(core_sha1(str2binb(s),s.length * chrsz));}<br />
function hex_hmac_sha1(key, data){ return binb2hex(core_hmac_sha1(key, data));}<br />
function b64_hmac_sha1(key, data){ return binb2b64(core_hmac_sha1(key, data));}<br />
function str_hmac_sha1(key, data){ return binb2str(core_hmac_sha1(key, data));}<br />
/*<br />
 * Perform a simple self-test to see if the VM is working<br />
 */<br />
function sha1_vm_test()<br />
{<br />
  return hex_sha1("abc") == "a9993e364706816aba3e25717850c26c9cd0d89d";<br />
}<br />
/*<br />
 * Calculate the SHA-1 of an array of big-endian words, and a bit length<br />
 */<br />
function core_sha1(x, len)<br />
{<br />
  /* append padding */<br />
  x[len &gt;&gt; 5] |= 0x80 &lt;&lt; (24 - len % 32);<br />
  x[((len + 64 &gt;&gt; 9) &lt;&lt; 4) + 15] = len;<br />
  var w = Array(80);<br />
  var a =  1732584193;<br />
  var b = -271733879;<br />
  var c = -1732584194;<br />
  var d =  271733878;<br />
  var e = -1009589776;<br />
  for(var i = 0; i &lt; x.length; i += 16)<br />
  {<br />
    var olda = a;<br />
    var oldb = b;<br />
    var oldc = c;<br />
    var oldd = d;<br />
    var olde = e;<br />
    for(var j = 0; j &lt; 80; j++)<br />
    {<br />
      if(j &lt; 16) w[j] = x[i + j];<br />
      else w[j] = rol(w[j-3] ^ w[j-8] ^ w[j-14] ^ w[j-16], 1);<br />
      var t = safe_add(safe_add(rol(a, 5), sha1_ft(j, b, c, d)),<br />
                       safe_add(safe_add(e, w[j]), sha1_kt(j)));<br />
      e = d;<br />
      d = c;<br />
      c = rol(b, 30);<br />
      b = a;<br />
      a = t;<br />
    }<br />
    a = safe_add(a, olda);<br />
    b = safe_add(b, oldb);<br />
    c = safe_add(c, oldc);<br />
    d = safe_add(d, oldd);<br />
    e = safe_add(e, olde);<br />
  }<br />
  return Array(a, b, c, d, e);<br />
}<br />
/*<br />
 * Perform the appropriate triplet combination function for the current<br />
 * iteration<br />
 */<br />
function sha1_ft(t, b, c, d)<br />
{<br />
  if(t &lt; 20) return (b &amp; c) | ((~b) &amp; d);<br />
  if(t &lt; 40) return b ^ c ^ d;<br />
  if(t &lt; 60) return (b &amp; c) | (b &amp; d) | (c &amp; d);<br />
  return b ^ c ^ d;<br />
}<br />
/*<br />
 * Determine the appropriate additive constant for the current iteration<br />
 */<br />
function sha1_kt(t)<br />
{<br />
  return (t &lt; 20) ?  1518500249 : (t &lt; 40) ?  1859775393 :<br />
         (t &lt; 60) ? -1894007588 : -899497514;<br />
}<br />
/*<br />
 * Calculate the HMAC-SHA1 of a key and some data<br />
 */<br />
function core_hmac_sha1(key, data)<br />
{<br />
  var bkey = str2binb(key);<br />
  if(bkey.length &gt; 16) bkey = core_sha1(bkey, key.length * chrsz);<br />
  var ipad = Array(16), opad = Array(16);<br />
  for(var i = 0; i &lt; 16; i++)<br />
  {<br />
    ipad[i] = bkey[i] ^ 0x36363636;<br />
    opad[i] = bkey[i] ^ 0x5C5C5C5C;<br />
  }<br />
  var hash = core_sha1(ipad.concat(str2binb(data)), 512 + data.length * chrsz);<br />
  return core_sha1(opad.concat(hash), 512 + 160);<br />
}<br />
/*<br />
 * Add integers, wrapping at 2^32. This uses 16-bit operations internally<br />
 * to work around bugs in some JS interpreters.<br />
 */<br />
function safe_add(x, y)<br />
{<br />
  var lsw = (x &amp; 0xFFFF) + (y &amp; 0xFFFF);<br />
  var msw = (x &gt;&gt; 16) + (y &gt;&gt; 16) + (lsw &gt;&gt; 16);<br />
  return (msw &lt;&lt; 16) | (lsw &amp; 0xFFFF);<br />
}<br />
/*<br />
 * Bitwise rotate a 32-bit number to the left.<br />
 */<br />
function rol(num, cnt)<br />
{<br />
  return (num &lt;&lt; cnt) | (num &gt;&gt;&gt; (32 - cnt));<br />
}<br />
/*<br />
 * Convert an 8-bit or 16-bit string to an array of big-endian words<br />
 * In 8-bit function, characters &gt;255 have their hi-byte silently ignored.<br />
 */<br />
function str2binb(str)<br />
{<br />
  var bin = Array();<br />
  var mask = (1 &lt;&lt; chrsz) - 1;<br />
  for(var i = 0; i &lt; str.length * chrsz; i += chrsz)<br />
    bin[i&gt;&gt;5] |= (str.charCodeAt(i / chrsz) &amp; mask) &lt;&lt; (32 - chrsz - i%32);<br />
  return bin;<br />
}<br />
/*<br />
 * Convert an array of big-endian words to a string<br />
 */<br />
function binb2str(bin)<br />
{<br />
  var str = "";<br />
  var mask = (1 &lt;&lt; chrsz) - 1;<br />
  for(var i = 0; i &lt; bin.length * 32; i += chrsz)<br />
    str += String.fromCharCode((bin[i&gt;&gt;5] &gt;&gt;&gt; (32 - chrsz - i%32)) &amp; mask);<br />
  return str;<br />
}<br />
/*<br />
 * Convert an array of big-endian words to a hex string.<br />
 */<br />
function binb2hex(binarray)<br />
{<br />
  var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";<br />
  var str = "";<br />
  for(var i = 0; i &lt; binarray.length * 4; i++)<br />
  {<br />
    str += hex_tab.charAt((binarray[i&gt;&gt;2] &gt;&gt; ((3 - i%4)*8+4)) &amp; 0xF) +<br />
           hex_tab.charAt((binarray[i&gt;&gt;2] &gt;&gt; ((3 - i%4)*8  )) &amp; 0xF);<br />
  }<br />
  return str;<br />
}<br />
/*<br />
 * Convert an array of big-endian words to a base-64 string<br />
 */<br />
function binb2b64(binarray)<br />
{<br />
  var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwx  yz0123456789+/";<br />
  var str = "";<br />
  for(var i = 0; i &lt; binarray.length * 4; i += 3)<br />
  {<br />
    var triplet = (((binarray[i   &gt;&gt; 2] &gt;&gt; 8 * (3 -  i   %4)) &amp; 0xFF) &lt;&lt; 16)<br />
                | (((binarray[i+1 &gt;&gt; 2] &gt;&gt; 8 * (3 - (i+1)%4)) &amp; 0xFF) &lt;&lt; 8 )<br />
                |  ((binarray[i+2 &gt;&gt; 2] &gt;&gt; 8 * (3 - (i+2)%4)) &amp; 0xFF);<br />
    for(var j = 0; j &lt; 4; j++)<br />
    {<br />
      if(i * 8 + j * 6 &gt; binarray.length * 32) str += b64pad;<br />
      else str += tab.charAt((triplet &gt;&gt; 6*(3-j)) &amp; 0x3F);<br />
    }<br />
  }<br />
  return str;<br />
}<br />
&lt;/script&gt;<br />
&lt;%<br />
function Sha1(Data)<br />
    Sha1 = hex_sha1(Data)<br />
end function<br />
%&gt;<br />
&lt;%<br />
Response.Write(Sha1("abcdef"))<br />
%&gt;</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0ODgxMDI4NDcxNTUuanBn.jpg"></p>
<p><u>复制代码</u> 代码如下:</p>
<p>public void ProcessRequest(HttpContext context)<br />
    {<br />
        context.Response.Write(System.Web.Security.FormsAuthentication.HashPasswordForStoringInConfigFile("abcdef", "SHA1").ToLower());<br />
    }</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0ODgxMDMwMTg4MjYuanBn.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 20:40:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/asp/" title="asp">asp</a>, <a href="https://www.iamivan.net/tag/sha1%e5%8a%a0%e5%af%86%e8%a7%a3%e5%af%86%e4%bb%a3%e7%a0%81/" title="sha1加密解密代码">sha1加密解密代码</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>asp实现的sha1加密解密代码（和C#兼容）_应用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn0kZjb.html" rel="bookmark">asp实现的sha1加密解密代码（和C&num;兼容）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在百度找的几个asp sha1(vbs写的)加密结果和asp.net的sha1加密结果不一样,asp.net sha1加密完后是40位,网上找的asp sha1加密是64位,还以为asp.net做了截取(如网上的asp的md5机密和asp.net位数不一样,是做了截取的问题),但是asp的64位加密结果并没有包含asp.net的40位结果,看来找到的版本和asp.net的加密算法不一样.   最后还是靠翻墙用google找到了一个js版本的sha1加密代码结合asp使用后结果和asp.net的s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnn2Okp.html" rel="bookmark">在asp&period;net中使用加密数据库联接字符串保证数据安全&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们发布网站时,加密web.config,这样可以有效保证数据库用户和密码安全,其步骤如下: 1.添加密钥 执行:C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis -pc &quot;hnlaw&quot; -exp 其中&quot;hnlaw&quot;为密钥名称 2.添加web.config节点 在web.config的&lt;configuration&gt;&lt;/configuration&gt;之间添加: &lt;con			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badXrXz.html" rel="bookmark">ASP&period;NET中repeater嵌套实现代码&lpar;附源码&rpar;&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.A,运行效果图  1.B,源代码(主要代码摘要) /App_Code/DBConnection.cs /App_Code/CategoryInfo.cs 复制代码 代码如下: using System.Collections.Generic; public class CategoryInfo { int categoryid; string categoryname; string categorydesc; IList&lt;ArticleInfo&gt; articles; /// &lt;su			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNv3JxM.html" rel="bookmark">ASP&period;NET中内嵌页面代码的一个问题&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比如 父页面: 复制代码 代码如下: public class BasePage : System.Web.UI.Page { public int HotelID { get { return 1; } } } 子页面: 复制代码 代码如下: public partial class UpdateAlbumAttachments : BasePage { public new int HotelID { get { return 0; } } } 则在*.aspx中写签入代码时只会读取this			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwyovRM.html" rel="bookmark">ASP多条件查询功能实现代码&lpar;多关键词查询&rpar;&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经过多次研究写出了如下代码,有需要的可以参考下 复制代码 代码如下: kd=server.HTMLEncode(request(&quot;keyword&quot;))if kd&lt;&gt;&quot;&quot; then    kd=trim(kd)'kd=replace(kd,&quot; &quot;,&quot;&quot;)  kd=replace(kd,&quot;'&quot;,&quot;&quot;)  kd=replace(kd,&quot;%&quot;,&quot;&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmjP4z.html" rel="bookmark">兼容PHP和Java的des加密解密代码分享&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php代码: &lt;?php class DES { var $key; var $iv; //偏移量 function DES($key, $iv=0) { $this-&gt;key = $key; if($iv == 0) { $this-&gt;iv = $key; } else { $this-&gt;iv = $iv; } } //加密 function encrypt($str) { $size = mcrypt_get_block_size ( MCRYPT_DES, MCRYPT_MO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydPXlb.html" rel="bookmark">各种加密解密函数（URL加密解密、sha1加密解密、des加密解密）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:各种加密解密函数(URL加密解密.sha1加密解密.des加密解密) 普通hash函数如md5.sha1.base64等都是不可逆函数.虽然我们利用php可以利用这些函数写出可逆函数来.但是跨语言时这类可逆函数非常难搞定.所以这时尽量使用AES DES RC4 Rabbit TripleDes这些方法. 包含超时的加密解密函数 1 /** 2 * 加密 3 * @param string $string 要加密或解密的字符串 4 * @param string $operation 加密			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOn8J5p.html" rel="bookmark">asp&period;net web&period;config加密解密方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用命令行工具aspnet_regiis.exe 你还能够使用aspnet_regiis.exe命令行工具来加密和解密Web.config文件配置部分,你可以在&quot;%WINDOWSDIR%\Microsoft.Net\Framework\version&quot;目录下找到这个工具.为了加密Web.config文件中的一个节,你可以在这个命令行工具中使用DPAPI机器密钥,如下所示: 加密一个特定网站的Web.config文件的通用形式: 复制代码 代码如下: aspnet_regiis.exe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Rgx9p.html" rel="bookmark">php的一个简单加密解密代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 分享一个php加密解密的类,在用户注册的时候发送邮件验证的时候估计会用的到的,代码如下    代码如下: class SysCrypt{  private $crypt_key='http://www.jb51.net';//密钥  public function __construct($crypt_key){   $this-&gt;crypt_key=$crypt_key;  }  public function encrypt($txt){   srand((double)microtime			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBgmAM.html" rel="bookmark" class="title">【AIX 学习】文件系统之 PROC</a>
					<div>
						/PROC 是一个伪文件系统,它使用相应的文件映射进程和内核数据结构在/proc 文件系统中,每一个子目录就是一个进程.目录名是进程号-PID /proc 文件系统的VFS 代码是6,使用lsvfs  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvnk9M.html" rel="bookmark" class="title">教程&sol;dreamweaver&sol;入门 Dreamweaver 4 简明教程2&lpar;初步认识 Dreamwe</a>
					<div>
						dreamweaver|教程 Dreamweaver的启动 Dreamweaver的安装过程非常简单,一但成功安装后,就可以在开始菜单找到Dreamweaver的选项: 编辑窗口 第一次启动Dream ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2wRZM.html" rel="bookmark" class="title">逻辑&OpenCurlyDoubleQuote;与&rdquo;运算符 &lpar;&amp;amp&semi;&amp;amp&semi;&rpar;</a>
					<div>
						运算   两个表达式执行逻辑联合. result = expression1 &amp;&amp; expression2 参数 result 任何变量. expression1 任何表达式. exp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyaL8M.html" rel="bookmark" class="title">巧用Digg类网站推广网站增加外链</a>
					<div>
						如何快速提高网站的流量,如何增加网站的外链?我相信每个站长都有想过这个问题,很多人都会想到SEO,诚然SEO做得好的话,网站的流量自然会很不错.但有许多站长还是不懂得SEO的,这里我就介绍一种简单快速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjE62p.html" rel="bookmark" class="title">Win 2003中配置SNMP服务的网络安全</a>
					<div>
						如何在Windows Server 2003中为&quot;简单网络管理协议&quot;(SNMP)服务配置网络安全性. SNMP服务起着代理的作用,它会收集可以向SNMP管理站或控制台报告的信息.您 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balEkXz.html" rel="bookmark" class="title">Ruby on Rails需要知道的12点知识</a>
					<div>
						为什么Ruby on Rails之于应用开发,就好比苹果之于桌面OS? 1.Ruby on Rails的优化首先是为人,其次才是编辑器和框架: 2.Ruby on Rails为Web开发提供了一个相当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK74k5b.html" rel="bookmark" class="title">精通Grails系列</a>
					<div>
						精通Grails: 构建您的第一个Grails应用程序 精通Grails: 身份验证和授权 精通Grails: 使用Ajax实现多对多关系 精通Grails: 文件上传和Atom联合 精通Grails ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrJaZp.html" rel="bookmark" class="title">光缆在施工中注意点问题解析</a>
					<div>
						随着综合布线系统的日趋成熟,布线已经融入到我们平常的生活,为了减少布线中出现不必要的麻烦,则在布线时,光缆在施工中应注意几个细节. 如下具体说明: 1.不要使用劣质的,尤其是已经弯曲变形的热缩套管,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo64Vjz.html" rel="bookmark" class="title">所有值类型继承自System&period;ValueType的疑惑</a>
					<div>
						比如说int吧,是值类型,是个struct,是这样声明的 public struct Int32 : IComparable, IFormattable, IConvertible, ICompara ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2OZNb.html" rel="bookmark" class="title">有利网任意用户密码重置及修补</a>
					<div>
						  缺陷位置:密码重置链接中,参数newValidCode设置过于简单(6位纯数字),且发送请求时,无次数限制,可以通过爆破重置任意用户密码. 测试过程 1 老规矩,点击忘记密码. 2 可以看到,让填 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo70QEb.html" rel="bookmark" class="title">Win8如何设置让计算机图标返回桌面</a>
					<div>
						  教你设置计算机图标回归Win 8桌面,Windows 8是由微软下一代操作系统,相比以往的操作系统,微软win8开始屏幕是取代了原来开始菜单的功能,并设计了众多程序和应用,方便用户快速使用应用程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWBO6p.html" rel="bookmark" class="title">使用开源库 SVPullToRefresh 实现上拉加载下拉刷新</a>
					<div>
						SVPullToRefresh开源库地址 https://github.com/samvermette/SVPullToRefresh 将整个文件夹SVPullToRefresh拖入工程中并引入头文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1ljd3b.html" rel="bookmark" class="title">treeview-树状结构展示采购单Treeview</a>
					<div>
						问题描述 树状结构展示采购单Treeview 请热心的帮忙,如果有VB.NET或者C#代码就最好了,不胜感激. 解决方案 不知道你什么地方不懂,是不会查询数据库还是不会使treeview除非给出你现有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lPrKb.html" rel="bookmark" class="title">et dvantage-VS2010中 在箱线图时上 如何加 spec线和control 线</a>
					<div>
						问题描述 VS2010中 在箱线图时上 如何加 spec线和control 线 这里我用的是NetAdvantage 中带的箱线图 如上图 在写这个箱线图的时候 写好的数据源和控件绑定好就OK了 但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKde6b.html" rel="bookmark" class="title">关于Mybatis传参的问题</a>
					<div>
						问题描述 关于Mybatis传参的问题 Mybatis框架执行SQL语句,控制台打印如下:==&gt; Preparing: select ID LOGIN_TEL... from TABLE WHE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRW46b.html" rel="bookmark" class="title">高可用笔记（1） nginx</a>
					<div>
						Nginx (&quot;engine x&quot;) 是一个高性能的HTTP和反向代理服务器,也是一个IMAP/POP3/SMTP服务器.由Igor Sysoev为俄罗斯访问量第二的Rambler ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYWyWp.html" rel="bookmark" class="title">用微博服务企业发展的几个注意事项</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 微博的发展应有是近几年的事情.小小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nBe7z.html" rel="bookmark" class="title">tomcat-关于ckfinder上传文件的奇怪问题</a>
					<div>
						问题描述 关于ckfinder上传文件的奇怪问题 项目部署在Tomcat,同时在server.xml中配置了context来不带项目名访问. http://www.a.com:9080/project ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjJLGM.html" rel="bookmark" class="title">对RowState的困惑！</a>
					<div>
						问题描述 1.我从数据库读出一批数据到一个DataTable,然后我往这个表ADD了一条记录,然后我又把这条刚增加的数据修改了,那么这条记录的状态应该就变为&quot;修改&quot;状态了,那我要更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWLKeM.html" rel="bookmark" class="title">美国Vitamix亮相2017上海AWE，绽放百年料理机品牌魅力</a>
					<div>
						3月9日(上海)--来自美国的高端料理机品牌Vitamix亮相2017上海家电及消费电子博览会(AWE),不仅展出了正在中国热销的全部产品,新品S55也首次在中国亮相,更有一批见证了Vitamix近百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkRQmM.html" rel="bookmark" class="title">Airbnb放缓扩张脚步，是为警惕Groupon前车之鉴？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 (本文来自WSJ,腾讯科技翻译) 桑威尔兄弟又出来了,这次不是Groupon,而是Airbnb.专门投资科技领域.擅长山寨成功创业公司的两兄弟正是如今A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNdWxp.html" rel="bookmark" class="title">读写Android中assets目录下的文件的方法详解&lowbar;Android</a>
					<div>
						Android资源文件大致可以分为两种: 第一种是res目录下存放的可编译的资源文件: 这种资源文件系统会在R.java里面自动生成该资源文件的ID,所以访问这种资源文件比较简单,通过R.XXX.ID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV4d3z.html" rel="bookmark" class="title">jQuery插件支持同一页面被多次调用&lowbar;jquery</a>
					<div>
						更新 1.2版本 删除回调函数的控制台输出调试,因为在IE6下没有控制台会造成插件出错, 完成build功能. 提示信息按钮支持多个,此版本为最新的稳定版. 近期将会提供更加详细的data书写格式说明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N3DAz.html" rel="bookmark" class="title">检测屏幕分辨率&lowbar;典型特效</a>
					<div>
						&lt;!-- +++++++++++++++++检测屏幕分辨率++++++++++++++++++++++++++  --&gt; [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWdraz.html" rel="bookmark" class="title">摘下&OpenCurlyDoubleQuote;快递帽子 &rdquo;人人快递将何去何从</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 3721.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYDj3b.html" rel="bookmark" class="title">eclipse-java swfupload  upload&lowbar;error&lowbar;handler &colon;</a>
					<div>
						问题描述 java swfupload upload_error_handler : java开发,文件上传用的是swfupload,数据库用的是mongodb,代码上传到svn,在别人的电脑上上传都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7j6op.html" rel="bookmark" class="title">phpinfo&lpar;&rpar; 中 Local Value（局部变量）Master Value（主变量） 的区别&lowbar;php技巧</a>
					<div>
						phpinfo() 的很多部分有两个Column:Local Value和Master Value 1. Master Value是PHP.ini文件中的内容. 2.Local value 是当前目录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenXZ8b.html" rel="bookmark" class="title">爱奇艺独家上线《名侦探柯南》</a>
					<div>
						日前,高清视频网站爱奇艺正式开播&quot;柯南剧场&quot;,独家上线日本人气动漫剧集&lt;名侦探柯南&gt;.这一播出终结了&lt;名侦探柯南&gt;多年来在内地网络播出无正规版权的尴尬.作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y76Dp.html" rel="bookmark" class="title">不要迷信，SEO仅仅只是一把剑</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 如果把整个网络营销领域比作一个小小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NoZkp.html" rel="bookmark" class="title">大数据为金砖厦门会晤&OpenCurlyDoubleQuote;保驾护航&rdquo;</a>
					<div>
						大数据为金砖厦门会晤&quot;保驾护航&quot; 人民政协报记者 照宁 &quot;这几个平台都是保障金砖厦门会晤的重要设施,我们丝毫马虎不得.&quot;9月4日,厦门市政协常委杨槐对本报记者说 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
